<?php
/**
 * @category   Alogic
 * @package    Alogic_Logos
 * @author     dushyantjoshia@gmail.com
 * @copyright  This file was generated by using Module Creator(http://code.vky.co.in/magento-2-module-creator/) provided by VKY <viky.031290@gmail.com>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

namespace Alogic\Logos\Block;

use Magento\Framework\View\Element\Template\Context;
use Alogic\Logos\Model\LogosFactory;
use Magento\Cms\Model\Template\FilterProvider;
/**
 * Logos View block
 */
class LogosView extends \Magento\Framework\View\Element\Template
{
    /**
     * @var Logos
     */
    protected $_logos;
    public function __construct(
        Context $context,
        LogosFactory $logos,
        FilterProvider $filterProvider
    ) {
        $this->_logos = $logos;
        $this->_filterProvider = $filterProvider;
        parent::__construct($context);
    }

    public function _prepareLayout()
    {
        $this->pageConfig->getTitle()->set(__('Alogic Logos Module View Page'));
        
        return parent::_prepareLayout();
    }

    public function getSingleData()
    {
        $id = $this->getRequest()->getParam('id');
        $logos = $this->_logos->create();
        $singleData = $logos->load($id);
        if($singleData->getLogosId() || $singleData['logos_id'] && $singleData->getStatus() == 1){
            return $singleData;
        }else{
            return false;
        }
    }
}